//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class friends_hook_core_module_profile extends _HOOK_CLASS_
{

	protected function manage()
	{
		try
		{
			try
			{
				if ( \IPS\Settings::i()->friends_allow_restrict_view_profile != 1 )
				{
					return parent::manage();
				}
				
				if ( $this->member->member_id == \IPS\Member::loggedIn()->member_id )
				{
					return parent::manage();
				}
				
				if ( \IPS\Settings::i()->friends_bypass == 1 && \IPS\Member::loggedIn()->isAdmin() )
				{
					return parent::manage();
				}
						
				$friendConf = $this->member->friendSettings();
		
				if ( !$friendConf['viewMyProfile'] || $friendConf['viewMyProfile'] == 'all' || ( $friendConf['viewMyProfile'] == 'friends' && $this->member->isFriend() ) )
				{
					return parent::manage();
				}
				
				\IPS\Output::i()->title = $this->member->name;
				\IPS\Output::i()->output = \IPS\Theme::i()->getTemplate( 'friends', 'friends', 'front' )->hideProfile( $this->member );
			}
			catch ( \Error | \RuntimeException $e )
			{
				if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
				{
					\IPS\Log::log( $e, 'hook_exception' );
				}
	
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
			{
				\IPS\Log::log( $e, 'hook_exception' );
			}

			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
	
}
